## SoupSessionAsync

SoupSessionAsync — SoupSession for asynchronous (main-loop-based) I/O (deprecated).

## Types and Values

| SoupSessionAsync

## Object Hierarchy

        GObject
        ╰── SoupSession
            ╰── SoupSessionAsync

## Includes

    #include <libsoup/soup.h>

## Description

SoupSessionAsync is an implementation of SoupSession that uses non-blocking I/O via the glib main loop for all I/O.

## Functions

## Types and Values

### SoupSessionAsync

    typedef struct _SoupSessionAsync SoupSessionAsync;